{
  "schema_version": "1.4.0",
  "id": "GHSA-jc5c-c7jm-fw7h",
  "modified": "2022-05-01T06:57:47Z",
  "published": "2022-05-01T06:57:47Z",
  "aliases": [
    "CVE-2006-2304"
  ],
  "details": "Multiple integer overflows in the DPRPC library (DPRPCW32.DLL) in Novell Client 4.83 SP3, 4.90 SP2 and 4.91 SP2 allow remote attackers to execute arbitrary code via an XDR encoded array with a field that specifies a large number of elements, which triggers the overflows in the ndps_xdr_array function.  NOTE: this was originally reported to be a buffer overflow by Novell, but the original cause is an integer overflow.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2006-2304"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/26314"
    },
    {
      "type": "WEB",
      "url": "http://lists.grok.org.uk/pipermail/full-disclosure/2006-May/046048.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/20048"
    },
    {
      "type": "WEB",
      "url": "http://securitytracker.com/id?1016052"
    },
    {
      "type": "WEB",
      "url": "http://support.novell.com/cgi-bin/search/searchtid.cgi?/2973719.htm"
    },
    {
      "type": "WEB",
      "url": "http://www.hustlelabs.com/novell_ndps_advisory.pdf"
    },
    {
      "type": "WEB",
      "url": "http://www.osvdb.org/25429"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/434017/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/17931"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2006/1759"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2006-05-11T10:02:00Z"
  }
}